ControlP5Constants (Javadocs: controlP5)

controlP5

## Interface ControlP5Constants

- All Known Implementing Classes:
    Accordion, Background, Bang, Button, ButtonBar, Chart, CheckBox, ColorPicker, ColorWheel, ControlGroup, Controller, ControllerGroup, ControlP5, ControlP5Base, DropdownList, FrameRate, Group, Icon, Knob, ListBox, Matrix, MultiList, MultiListButton, Numberbox, Radio, RadioButton, Range, ScrollableList, Slider, Slider2D, Spacer, Tab, Textarea, Textfield, Textlabel, Toggle

      public interface ControlP5Constants

  Constant variables used with ControlP5 are stored here.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.Class<?>[]` | `acceptClassList`
    `static int` | `ACTION_BROADCAST`
    `static int` | `ACTION_CLICK`
    `static int` | `ACTION_DOUBLE_PRESS`
    `static int` | `ACTION_DRAG`
    `static int` | `ACTION_END_DRAG`
    `static int` | `ACTION_ENTER`
    `static int` | `ACTION_EXIT`
    `static int` | `ACTION_LEAVE`
    `static int` | `ACTION_MOVE`
    `static int` | `ACTION_PRESS`
    `static int` | `ACTION_PRESSED` Deprecated.
    `static int` | `ACTION_RELEASE`
    `static int` | `ACTION_RELEASE_OUTSIDE`
    `static int` | `ACTION_RELEASED` Deprecated.
    `static int` | `ACTION_RELEASEDOUTSIDE` Deprecated.
    `static int` | `ACTION_START_DRAG`
    `static int` | `ACTION_WHEEL`
    `static int` | `ACTIVE`
    `static int` | `ALL` Deprecated.
    `static int` | `ALT`
    `static int` | `AQUA`
    `static int` | `ARC`
    `static int` | `ARRAY`
    `static int` | `BACKSPACE`
    `static int` | `BASELINE`
    `static int` | `BITFONT`
    `static int` | `BLACK`
    `static int` | `BLUE`
    `static int` | `BOOLEAN`
    `static int` | `BOTTOM`
    `static int` | `BOTTOM_OUTSIDE`
    `static int` | `CAPTIONLABEL`
    `static int` | `CENTER`
    `static int` | `CHECKBOX`
    `static int` | `COMMANDKEY`
    `static int` | `CONTROL`
    `static java.lang.Class<?>` | `controlEventClass`
    `static int` | `CUSTOM`
    `static char` | `DECREASE`
    `static int` | `DEFAULT`
    `static int` | `DELETE`
    `static java.lang.String` | `delimiter`
    `static int` | `DONE`
    `static int` | `DOWN`
    `static int` | `DROPDOWN`
    `static int` | `ELLIPSE`
    `static int` | `ENTER`
    `static int` | `ESCAPE`
    `static int` | `EVENT`
    `static java.lang.String` | `eventMethod`
    `static int` | `FADEIN`
    `static int` | `FADEOUT`
    `static int` | `FIELD`
    `static int` | `FLOAT`
    `static int` | `FUCHSIA`
    `static int` | `GRAY`
    `static int` | `GREEN`
    `static int` | `grixel`
    `static float` | `HALF_PI`
    `static char` | `HIDE`
    `static int` | `HIGHLIGHT`
    `static int` | `HORIZONTAL`
    `static int` | `IDLE`
    `static int` | `IMAGE`
    `static int` | `INACTIVE`
    `static char` | `INCREASE`
    `static int` | `INTEGER`
    `static int` | `INVALID`
    `static int` | `J2D`
    `static java.lang.String` | `JSON`
    `static char` | `KEYCONTROL`
    `static int` | `LEFT`
    `static int` | `LEFT_OUTSIDE`
    `static int` | `LIME`
    `static int` | `LINE`
    `static int` | `LIST`
    `static char` | `LOAD`
    `static int` | `MAROON`
    `static char` | `MENU`
    `static int` | `METHOD`
    `static int` | `MOVE`
    `static int` | `MULTI`
    `static int` | `MULTIPLES`
    `static int` | `NAVY`
    `static int` | `OLIVE`
    `static int` | `ORANGE`
    `static int` | `OVER`
    `static int` | `P2D`
    `static int` | `P3D`
    `static java.lang.String` | `pathdelimiter`
    `static float` | `PI`
    `static int` | `PRESS`
    `static int` | `PRESSED`
    `static char` | `PRINT`
    `static int` | `PURPLE`
    `static int` | `RED`
    `static int` | `RELEASE`
    `static int` | `RELEASED`
    `static char` | `RESET`
    `static int` | `RIGHT`
    `static int` | `RIGHT_OUTSIDE`
    `static char` | `SAVE`
    `static java.lang.String` | `SERIALIZED`
    `static int` | `SHIFT`
    `static int` | `SILVER`
    `static int` | `SINGLE`
    `static int` | `SINGLE_COLUMN`
    `static int` | `SINGLE_ROW`
    `static int` | `SPRITE`
    `static int` | `standard56`
    `static int` | `standard58`
    `static int` | `STRING`
    `static int` | `SWITCH`
    `static char` | `SWITCH_BACK`
    `static char` | `SWITCH_FORE`
    `static int` | `synt24`
    `static int` | `TAB`
    `static int` | `TEAL`
    `static CColor` | `THEME_A`
    `static CColor` | `THEME_CP52014`
    `static CColor` | `THEME_CP5BLUE`
    `static CColor` | `THEME_GREY`
    `static CColor` | `THEME_RED`
    `static CColor` | `THEME_RETRO`
    `static int` | `TOP`
    `static int` | `TOP_OUTSIDE`
    `static int` | `TRANSITION_WAIT_FADEIN`
    `static int` | `TREE`
    `static float` | `TWO_PI`
    `static int` | `UP`
    `static int` | `VALUELABEL`
    `static boolean` | `VERBOSE`
    `static int` | `VERTICAL`
    `static int` | `WAIT`
    `static int` | `WHITE`
    `static int` | `YELLOW`

- - ### Field Detail

    - #### acceptClassList

          static final java.lang.Class<?>[] acceptClassList

    - #### ACTION_BROADCAST

          static final int ACTION_BROADCAST

      See Also:
        Constant Field Values

    - #### ACTION_CLICK

          static final int ACTION_CLICK

      See Also:
        Constant Field Values

    - #### ACTION_DOUBLE_PRESS

          static final int ACTION_DOUBLE_PRESS

      See Also:
        Constant Field Values

    - #### ACTION_DRAG

          static final int ACTION_DRAG

      See Also:
        Constant Field Values

    - #### ACTION_END_DRAG

          static final int ACTION_END_DRAG

      See Also:
        Constant Field Values

    - #### ACTION_ENTER

          static final int ACTION_ENTER

      See Also:
        Constant Field Values

    - #### ACTION_EXIT

          static final int ACTION_EXIT

      See Also:
        Constant Field Values

    - #### ACTION_LEAVE

          static final int ACTION_LEAVE

      See Also:
        Constant Field Values

    - #### ACTION_MOVE

          static final int ACTION_MOVE

      See Also:
        Constant Field Values

    - #### ACTION_PRESS

          static final int ACTION_PRESS

      See Also:
        Constant Field Values

    - #### ACTION_PRESSED

          @Deprecated
          static final int ACTION_PRESSED

      Deprecated.
      See Also:
        Constant Field Values

    - #### ACTION_RELEASE

          static final int ACTION_RELEASE

      See Also:
        Constant Field Values

    - #### ACTION_RELEASE_OUTSIDE

          static final int ACTION_RELEASE_OUTSIDE

      See Also:
        Constant Field Values

    - #### ACTION_RELEASED

          @Deprecated
          static final int ACTION_RELEASED

      Deprecated.
      See Also:
        Constant Field Values

    - #### ACTION_RELEASEDOUTSIDE

          @Deprecated
          static final int ACTION_RELEASEDOUTSIDE

      Deprecated.
      See Also:
        Constant Field Values

    - #### ACTION_START_DRAG

          static final int ACTION_START_DRAG

      See Also:
        Constant Field Values

    - #### ACTION_WHEEL

          static final int ACTION_WHEEL

      See Also:
        Constant Field Values

    - #### ACTIVE

          static final int ACTIVE

      See Also:
        Constant Field Values

    - #### ALL

          @Deprecated
          static final int ALL

      Deprecated.
      See Also:
        Constant Field Values

    - #### ALT

          static final int ALT

      See Also:
        Constant Field Values

    - #### AQUA

          static final int AQUA

      See Also:
        Constant Field Values

    - #### ARC

          static final int ARC

      See Also:
        Constant Field Values

    - #### ARRAY

          static final int ARRAY

      See Also:
        Constant Field Values

    - #### BACKSPACE

          static final int BACKSPACE

      See Also:
        Constant Field Values

    - #### BASELINE

          static final int BASELINE

      See Also:
        Constant Field Values

    - #### BITFONT

          static final int BITFONT

      See Also:
        Constant Field Values

    - #### BLACK

          static final int BLACK

      See Also:
        Constant Field Values

    - #### BLUE

          static final int BLUE

      See Also:
        Constant Field Values

    - #### BOOLEAN

          static final int BOOLEAN

      See Also:
        Constant Field Values

    - #### BOTTOM

          static final int BOTTOM

      See Also:
        Constant Field Values

    - #### BOTTOM_OUTSIDE

          static final int BOTTOM_OUTSIDE

      See Also:
        Constant Field Values

    - #### CAPTIONLABEL

          static final int CAPTIONLABEL

      See Also:
        Constant Field Values

    - #### CENTER

          static final int CENTER

      See Also:
        Constant Field Values

    - #### CHECKBOX

          static final int CHECKBOX

      See Also:
        Constant Field Values

    - #### COMMANDKEY

          static final int COMMANDKEY

      See Also:
        Constant Field Values

    - #### CONTROL

          static final int CONTROL

      See Also:
        Constant Field Values

    - #### controlEventClass

          static final java.lang.Class<?> controlEventClass

    - #### CUSTOM

          static final int CUSTOM

      See Also:
        Constant Field Values

    - #### DECREASE

          static final char DECREASE

      See Also:
        Constant Field Values

    - #### DEFAULT

          static final int DEFAULT

      See Also:
        Constant Field Values

    - #### DELETE

          static final int DELETE

      See Also:
        Constant Field Values

    - #### delimiter

          static final java.lang.String delimiter

      See Also:
        Constant Field Values

    - #### DONE

          static final int DONE

      See Also:
        Constant Field Values

    - #### DOWN

          static final int DOWN

      See Also:
        Constant Field Values

    - #### DROPDOWN

          static final int DROPDOWN

      See Also:
        Constant Field Values

    - #### ELLIPSE

          static final int ELLIPSE

      See Also:
        Constant Field Values

    - #### ENTER

          static final int ENTER

      See Also:
        Constant Field Values

    - #### ESCAPE

          static final int ESCAPE

      See Also:
        Constant Field Values

    - #### EVENT

          static final int EVENT

      See Also:
        Constant Field Values

    - #### eventMethod

          static final java.lang.String eventMethod

      See Also:
        Constant Field Values

    - #### FADEIN

          static final int FADEIN

      See Also:
        Constant Field Values

    - #### FADEOUT

          static final int FADEOUT

      See Also:
        Constant Field Values

    - #### FIELD

          static final int FIELD

      See Also:
        Constant Field Values

    - #### FLOAT

          static final int FLOAT

      See Also:
        Constant Field Values

    - #### FUCHSIA

          static final int FUCHSIA

      See Also:
        Constant Field Values

    - #### GRAY

          static final int GRAY

      See Also:
        Constant Field Values

    - #### GREEN

          static final int GREEN

      See Also:
        Constant Field Values

    - #### grixel

          static final int grixel

      See Also:
        Constant Field Values

    - #### HALF_PI

          static final float HALF_PI

      See Also:
        Constant Field Values

    - #### HIDE

          static final char HIDE

      See Also:
        Constant Field Values

    - #### HIGHLIGHT

          static final int HIGHLIGHT

      See Also:
        Constant Field Values

    - #### HORIZONTAL

          static final int HORIZONTAL

      See Also:
        Constant Field Values

    - #### IDLE

          static final int IDLE

      See Also:
        Constant Field Values

    - #### IMAGE

          static final int IMAGE

      See Also:
        Constant Field Values

    - #### INACTIVE

          static final int INACTIVE

      See Also:
        Constant Field Values

    - #### INCREASE

          static final char INCREASE

      See Also:
        Constant Field Values

    - #### INTEGER

          static final int INTEGER

      See Also:
        Constant Field Values

    - #### INVALID

          static final int INVALID

      See Also:
        Constant Field Values

    - #### J2D

          static final int J2D

      See Also:
        Constant Field Values

    - #### JSON

          static final java.lang.String JSON

      See Also:
        Constant Field Values

    - #### KEYCONTROL

          static final char KEYCONTROL

      See Also:
        Constant Field Values

    - #### LEFT

          static final int LEFT

      See Also:
        Constant Field Values

    - #### LEFT_OUTSIDE

          static final int LEFT_OUTSIDE

      See Also:
        Constant Field Values

    - #### LIME

          static final int LIME

      See Also:
        Constant Field Values

    - #### LINE

          static final int LINE

      See Also:
        Constant Field Values

    - #### LIST

          static final int LIST

      See Also:
        Constant Field Values

    - #### LOAD

          static final char LOAD

      See Also:
        Constant Field Values

    - #### MAROON

          static final int MAROON

      See Also:
        Constant Field Values

    - #### MENU

          static final char MENU

      See Also:
        Constant Field Values

    - #### METHOD

          static final int METHOD

      See Also:
        Constant Field Values

    - #### MOVE

          static final int MOVE

      See Also:
        Constant Field Values

    - #### MULTI

          static final int MULTI

      See Also:
        Constant Field Values

    - #### MULTIPLES

          static final int MULTIPLES

      See Also:
        Constant Field Values

    - #### NAVY

          static final int NAVY

      See Also:
        Constant Field Values

    - #### OLIVE

          static final int OLIVE

      See Also:
        Constant Field Values

    - #### ORANGE

          static final int ORANGE

      See Also:
        Constant Field Values

    - #### OVER

          static final int OVER

      See Also:
        Constant Field Values

    - #### P2D

          static final int P2D

      See Also:
        Constant Field Values

    - #### P3D

          static final int P3D

      See Also:
        Constant Field Values

    - #### pathdelimiter

          static final java.lang.String pathdelimiter

      See Also:
        Constant Field Values

    - #### PI

          static final float PI

      See Also:
        Constant Field Values

    - #### PRESS

          static final int PRESS

      See Also:
        Constant Field Values

    - #### PRESSED

          static final int PRESSED

      See Also:
        Constant Field Values

    - #### PRINT

          static final char PRINT

      See Also:
        Constant Field Values

    - #### PURPLE

          static final int PURPLE

      See Also:
        Constant Field Values

    - #### RED

          static final int RED

      See Also:
        Constant Field Values

    - #### RELEASE

          static final int RELEASE

      See Also:
        Constant Field Values

    - #### RELEASED

          static final int RELEASED

      See Also:
        Constant Field Values

    - #### RESET

          static final char RESET

      See Also:
        Constant Field Values

    - #### RIGHT

          static final int RIGHT

      See Also:
        Constant Field Values

    - #### RIGHT_OUTSIDE

          static final int RIGHT_OUTSIDE

      See Also:
        Constant Field Values

    - #### SAVE

          static final char SAVE

      See Also:
        Constant Field Values

    - #### SERIALIZED

          static final java.lang.String SERIALIZED

      See Also:
        Constant Field Values

    - #### SHIFT

          static final int SHIFT

      See Also:
        Constant Field Values

    - #### SILVER

          static final int SILVER

      See Also:
        Constant Field Values

    - #### SINGLE

          static final int SINGLE

      See Also:
        Constant Field Values

    - #### SINGLE_COLUMN

          static final int SINGLE_COLUMN

      See Also:
        Constant Field Values

    - #### SINGLE_ROW

          static final int SINGLE_ROW

      See Also:
        Constant Field Values

    - #### SPRITE

          static final int SPRITE

      See Also:
        Constant Field Values

    - #### standard56

          static final int standard56

      See Also:
        Constant Field Values

    - #### standard58

          static final int standard58

      See Also:
        Constant Field Values

    - #### STRING

          static final int STRING

      See Also:
        Constant Field Values

    - #### SWITCH

          static final int SWITCH

      See Also:
        Constant Field Values

    - #### SWITCH_BACK

          static final char SWITCH_BACK

      See Also:
        Constant Field Values

    - #### SWITCH_FORE

          static final char SWITCH_FORE

      See Also:
        Constant Field Values

    - #### synt24

          static final int synt24

      See Also:
        Constant Field Values

    - #### TAB

          static final int TAB

      See Also:
        Constant Field Values

    - #### TEAL

          static final int TEAL

      See Also:
        Constant Field Values

    - #### THEME_A

          static final CColor THEME_A

    - #### THEME_CP52014

          static final CColor THEME_CP52014

    - #### THEME_CP5BLUE

          static final CColor THEME_CP5BLUE

    - #### THEME_GREY

          static final CColor THEME_GREY

    - #### THEME_RED

          static final CColor THEME_RED

    - #### THEME_RETRO

          static final CColor THEME_RETRO

    - #### TOP

          static final int TOP

      See Also:
        Constant Field Values

    - #### TOP_OUTSIDE

          static final int TOP_OUTSIDE

      See Also:
        Constant Field Values

    - #### TRANSITION_WAIT_FADEIN

          static final int TRANSITION_WAIT_FADEIN

      See Also:
        Constant Field Values

    - #### TREE

          static final int TREE

      See Also:
        Constant Field Values

    - #### TWO_PI

          static final float TWO_PI

      See Also:
        Constant Field Values

    - #### UP

          static final int UP

      See Also:
        Constant Field Values

    - #### VALUELABEL

          static final int VALUELABEL

      See Also:
        Constant Field Values

    - #### VERBOSE

          static final boolean VERBOSE

      See Also:
        Constant Field Values

    - #### VERTICAL

          static final int VERTICAL

      See Also:
        Constant Field Values

    - #### WAIT

          static final int WAIT

      See Also:
        Constant Field Values

    - #### WHITE

          static final int WHITE

      See Also:
        Constant Field Values

    - #### YELLOW

          static final int YELLOW

      See Also:
        Constant Field Values

processing library controlP5 by Andreas Schlegel. (c) 2006-2015